大家好~我是北方素素~

最近有的童鞋看了我的教程安装了MySQL8,也有从MySQL5升级上来的。但是升级到MySQL8之后,我们使用第三方软件(非workbench)连接登陆MySQL的时候,会出现一个问题。这里给大家解释一下原因。

注:这里的第三方软件指HeidiSQL9.5.0.5196.和Navicat12

问题:当连接MySQL的时候出现“Authentication plugin ‘caching_sha2_password’ cannot be loaded:找不到指定的模块”错误,这条错误信息的中文部分在Navicat中可能会显示为乱码,把编码设置为936即可。

问题原因:MySQL8使用了新的认证插件,也就是上面错误中提到的“caching_sha2_password”,目前,也就是到写这篇文章的时候,18年4月28日晚7点40。上面提到的两款软件均还不支持这个新的插件,所以才会出现错误。

解决办法:等待第三方工具的更新,我想应该很快就能支持了。

其他猜想:还有一种办法我没有试,不知道是否有用,这里把猜想说一下,我们可以在配置MySQL的时候在这一步选择下面的选项:

配置认证方式

我们选择下面的认证方式,之后保存,我猜就可以了。当然,这个只是猜想,因为我用workbench习惯了。

不过大家可以在上图中看出来,MySQL已经给出了解释,就是黄色标识那一块,具体的内容我就不翻译了,大致也就是说了如果选择这个选项,要想使用其他软件连接,那么就必须要支持这个新插件。

好了,我还是选择安全性更高的新插件认证方式吧,哈哈,估计很快其他软件就会支持的~

更新:

navicat12.0.28已经支持新的验证方式

文章来源于互联网:解决方案:连接MySQL8出现Authentication plugin ‘caching_sha2_password’ cannot be loaded错误

发表评论